5ghz radio has stopped working

Hey all, I’m not sure what happened, but on Feb 28th 2020 I noticed some weirdness with my internet connection. I ended up just going to sleep and writing it off as my ISP, but checking into it today the 5ghz radio has stopped making an available network. 2.4 still works but is horribly congested. Digging into the logs I’m seeing

2020-02-29 18:44:18 notice netifd[]: radio0 (13369): Configuration file: /var/run/hostapd-phy0.conf
2020-02-29 18:44:19 info kernel[]: [27905.445316] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
2020-02-29 18:44:19 notice netifd[]: radio0 (13369): wlan0: interface state UNINITIALIZED->COUNTRY_UPDATE
2020-02-29 18:44:19 notice netifd[]: radio0 (13369): ACS: Automatic channel selection started, this may take a bit
2020-02-29 18:44:19 notice netifd[]: radio0 (13369): wlan0: interface state COUNTRY_UPDATE->ACS
2020-02-29 18:44:19 notice netifd[]: radio0 (13369): wlan0: ACS-STARTED
2020-02-29 18:44:19 info kernel[]: [27905.447854] device wlan0 entered promiscuous mode
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: ACS-COMPLETED freq=5720 channel=144
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: interface state ACS->DFS
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: DFS-CAC-START freq=5720 chan=144 sec_chan=0, width=0, seg0=0, seg1=0, cac_time=60s
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): DFS start_dfs_cac() failed, -1
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): Interface initialization failed
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: interface state DFS->DISABLED
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: AP-DISABLED
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): ACS: Possibly channel configuration is invalid, please report this along with your config file.
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): ACS: Failed to start
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): wlan0: AP-DISABLED
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): hostapd_free_hapd_data: Interface wlan0 wasn't started
2020-02-29 18:44:34 notice netifd[]: radio0 (13369): nl80211: deinit ifname=wlan0 disabled_11b_rates=0
2020-02-29 18:44:35 info kernel[]: [27920.494629] device wlan0 left promiscuous mode
2020-02-29 18:44:35 info kernel[]: [27920.494677] br-lan: port 4(wlan0) entered disabled state
2020-02-29 18:44:35 notice netifd[]: radio0 (13369): wlan0: interface state DISABLED->DISABLED
2020-02-29 18:44:35 notice netifd[2474]: Last message 'radio0 (13369): wlan' repeated 1 times, suppressed by syslog-ng on turris
2020-02-29 18:44:35 notice netifd[]: radio0 (13369): wlan0: AP-DISABLED
2020-02-29 18:44:35 notice netifd[]: radio0 (13369): wlan0: CTRL-EVENT-TERMINATING
2020-02-29 18:44:35 notice netifd[]: radio0 (13369): hostapd_free_hapd_data: Interface wlan0 wasn't started
2020-02-29 18:44:35 notice netifd[]: radio0 (13369): ELOOP: remaining socket: sock=22 eloop_data=0xcc7b10 user_data=0 handler=0x40d74

I can’t make heads or tails of the config (below) and I haven’t touched the config in over a year. Can anyone help?

Config

driver=nl80211
logger_syslog=127
logger_syslog_level=2
logger_stdout=127
logger_stdout_level=2
country_code=00
ieee80211d=1
ieee80211h=1
hw_mode=a
channel=acs_survey


ieee80211n=1
ht_coex=0
ht_capab=[HT40+][LDPC][SHORT-GI-20][SHORT-GI-40][TX-STBC][RX-STBC1][MAX-AMSDU-7935][DSSS_CCK-40]
vht_oper_chwidth=1
vht_oper_centr_freq_seg0_idx=-6
ieee80211ac=1
vht_capab=[RXLDPC][SHORT-GI-80][TX-STBC-2BY1][RX-ANTENNA-PATTERN][TX-ANTENNA-PATTERN][RX-STBC-1][MAX-MPDU-11454][MAX-A-MPDU-LEN-EXP7]

interface=wlan0
ctrl_interface=/var/run/hostapd
ap_isolate=1
disassoc_low_ack=1
preamble=1
wmm_enabled=1
ignore_broadcast_ssid=0
uapsd_advertisement_enabled=1
wpa_group_rekey=<snip>
wpa_passphrase=<snip>
auth_algs=1
wpa=2
wpa_pairwise=CCMP
ssid=<snip>
bridge=br-lan
wpa_key_mgmt=WPA-PSK
okc=0
disable_pmksa_caching=1
bssid=<snip>

Can you please provide us more details about your router? This will help us to proceed further.

  • Router type (Turris 1.x / Turris Omnia / Turris MOX)
  • The version of your operating system installed on the device
  • Did you try to do restart to see if the 5 GHz radio is working again?

Router type is a turris Omnia, hence the post being in the omnia hardware problems forum.
OS Version was Turris OS 3.11.14
Restarts did not resolve the issue, but a factory reset did. I’m running updater at the moment to see if the issue returns.

Updated back to 3.11.14 and my 5ghz radio seems to work again. However now forris is broken with a

AttributeError("‘ForisState’ object has no attribute ‘password_set’",)

web server error. Stack trace is

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/foris/middleware/backend_data.py", line 54, in __call__
    data = current_state.backend.perform("web", "get_data")
  File "/usr/lib/python3.6/site-packages/foris/backend.py", line 99, in perform
    raise e
  File "/usr/lib/python3.6/site-packages/foris/backend.py", line 85, in perform
    module, action, data, controller_id=controller_id or self.controller_id
  File "/usr/lib/python3.6/site-packages/foris_client/buses/ubus.py", line 115, in send
    "request_id": request_id,
RuntimeError: Object 'foris-controller-web' was not found.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/foris/middleware/reporting.py", line 93, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python3.6/site-packages/foris/middleware/backend_data.py", line 60, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python3.6/site-packages/bottle_i18n.py", line 68, in __call__
    return self.app(e,h)
  File "/usr/lib/python3.6/site-packages/bottle.py", line 979, in __call__
    return self.wsgi(environ, start_response)
  File "/usr/lib/python3.6/site-packages/bottle.py", line 954, in wsgi
    out = self._cast(self._handle(environ))
  File "/usr/lib/python3.6/site-packages/bottle.py", line 862, in _handle
    return route.call(**args)
  File "/usr/lib/python3.6/site-packages/bottle.py", line 1740, in wrapper
    rv = callback(*a, **ka)
  File "/usr/lib/python3.6/site-packages/bottle.py", line 3639, in wrapper
    result = func(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/foris/config/__init__.py", line 325, in top_index
    if not current_state.password_set:  # auto login if no password is set
AttributeError: 'ForisState' object has no attribute 'password_set'

Edit: And it seems to have fixed itself. All is now working.